VREDescriptionView (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client.view

## Class VREDescriptionView

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.extjs.gxt.ui.client.widget.Component
      - - com.extjs.gxt.ui.client.widget.BoxComponent
        - - com.extjs.gxt.ui.client.widget.Composite
          - - org.gcube.portlets.admin.vredefinition.client.view.VREDescriptionView

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, VREDescriptionPresenter.Display

      public class VREDescriptionView
      extends com.extjs.gxt.ui.client.widget.Composite
      implements VREDescriptionPresenter.Display

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Composite

      `component`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Component

      `afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDescriptionView()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.user.client.ui.Widget` | `asWidget()`
    `com.extjs.gxt.ui.client.widget.form.DateField` | `getFromDate()`
    `com.extjs.gxt.ui.client.widget.form.DateField` | `getToDate()`
    `com.extjs.gxt.ui.client.widget.form.TextArea` | `getVREDescription()`
    `com.extjs.gxt.ui.client.widget.form.TextField<String>` | `getVREDesigner()`
    `com.extjs.gxt.ui.client.widget.form.ComboBox<com.extjs.gxt.ui.client.data.BaseModel>` | `getVREManager()`
    `com.extjs.gxt.ui.client.widget.form.TextField<String>` | `getVREName()`
    `void` | `setData(Map<String,Object> result, VREDescriptionBean bean)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Composite

      `getComponent, getElement, initComponent, isAttached, onAttach, onBrowserEvent, onDetach, onDisable, onEnable, onRender, setSize, setSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustPosition, adjustSize, afterRender, createComponentEvent, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onResize, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setWidth, setWidth, sync, syncSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Component

      `addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, createStyles, disable, disableContextMenu, disableEvents, disableTextSelection, doAttachChildren, doDetachChildren, el, enable, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, getWindowResizeDelay, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, notifyHide, notifyShow, onComponentEvent, onDetachHelper, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setMonitorWindowResize, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setWindowResizeDelay, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, setLayoutData`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VREDescriptionView

          public VREDescriptionView()

  - ### Method Detail

    - #### setData

          public void setData(Map<String,Object> result,
                     VREDescriptionBean bean)

      Specified by:
        `setData` in interface `VREDescriptionPresenter.Display`

    - #### getVREName

          public com.extjs.gxt.ui.client.widget.form.TextField<String> getVREName()

      Specified by:
        `getVREName` in interface `VREDescriptionPresenter.Display`

    - #### getVREDesigner

          public com.extjs.gxt.ui.client.widget.form.TextField<String> getVREDesigner()

      Specified by:
        `getVREDesigner` in interface `VREDescriptionPresenter.Display`

    - #### getVREManager

          public com.extjs.gxt.ui.client.widget.form.ComboBox<com.extjs.gxt.ui.client.data.BaseModel> getVREManager()

      Specified by:
        `getVREManager` in interface `VREDescriptionPresenter.Display`

    - #### getVREDescription

          public com.extjs.gxt.ui.client.widget.form.TextArea getVREDescription()

      Specified by:
        `getVREDescription` in interface `VREDescriptionPresenter.Display`

    - #### asWidget

          public com.google.gwt.user.client.ui.Widget asWidget()

      Specified by:
        `asWidget` in interface `com.google.gwt.user.client.ui.IsWidget`
      Specified by:
        `asWidget` in interface `VREDescriptionPresenter.Display`
      Overrides:
        `asWidget` in class `com.google.gwt.user.client.ui.Widget`

    - #### getFromDate

          public com.extjs.gxt.ui.client.widget.form.DateField getFromDate()

      Specified by:
        `getFromDate` in interface `VREDescriptionPresenter.Display`

    - #### getToDate

          public com.extjs.gxt.ui.client.widget.form.DateField getToDate()

      Specified by:
        `getToDate` in interface `VREDescriptionPresenter.Display`

Copyright © 2016. All Rights Reserved.